Name:           libshout
Version:        1.0.9
Release:        0.fdr.1.2
Summary:        icecast source streaming library.

Group:          Libraries/Multimedia
License:        LGPL
URL:            http://www.icecast.org/
Source:         http://developer.icecast.org/libshout/releases/%{name}-%{version}.tar.gz
Patch:		libshout-makefile.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post,postun): /sbin/ldconfig

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package        devel
Summary:        static libraries and header files for %{name} development.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The libshout-devel package contains the header files needed for developing
applications that send data to an icecast server.  Install libshout-devel if
you want to develop applications using libshout.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# docs install in $(prefix)/doc, we don't want that, so don't go into SUBDIRS
%makeinstall SUBDIRS=

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
                                                                                
%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libshout.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.html doc/style.css
%{_libdir}/libshout.a
%{_libdir}/libshout.so
%{_includedir}/shout/shout.h

# -----------------------------------------------------------------------------

%changelog
* Wed Jun 04 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.9-0.fdr.1: initial RPM release
